package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.QuestAttrib;
import com.caliverse.admin.global.common.constants.DynamoDBConstants;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class QuestDoc extends DynamoDBDocBase {
    private QuestAttrib questAttrib;

    public String getAttribFieldName() {
        return DynamoDBConstants.ATTRIB_QUEST;
    }

    @DynamoDbAttribute(DynamoDBConstants.ATTRIB_QUEST)
    public QuestAttrib getAttribValue() {
        return questAttrib;
    }

    public void setAttribValue(QuestAttrib value) {
        this.questAttrib = value;
    }
}

